org.apache.hc.client5.http.impl.auth

## Class SPNegoSchemeFactory

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.SPNegoSchemeFactory

All Implemented Interfaces:
  AuthSchemeProvider

    @Contract(threading=IMMUTABLE)
    public class SPNegoSchemeFactory
    extends Object
    implements AuthSchemeProvider

`AuthSchemeProvider` implementation that creates and initializes `SPNegoScheme` instances.

Since:
  4.2

### Constructor Summary

Constructors
Constructor and Description
`SPNegoSchemeFactory(DnsResolver dnsResolver, boolean stripPort, boolean useCanonicalHostname)`

### Method Summary

Methods
`AuthScheme` `create(org.apache.hc.core5.http.protocol.HttpContext context)` Creates an instance of `AuthScheme`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SPNegoSchemeFactory

    public SPNegoSchemeFactory(DnsResolver dnsResolver,
                       boolean stripPort,
                       boolean useCanonicalHostname)

Since:
  4.4

### Method Detail

#### create

    public AuthScheme create(org.apache.hc.core5.http.protocol.HttpContext context)

Description copied from interface: `AuthSchemeProvider`
Creates an instance of `AuthScheme`.

Specified by:
  `create` in interface `AuthSchemeProvider`
Returns:
  auth scheme.